<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Styles (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Styles (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Styles.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/model/SingleXmlCells.html"
               title="class in org.apache.poi.xssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/model/StylesTable.html"
               title="class in org.apache.poi.xssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/Styles.html" target="_top">Frames</a></li>
        <li><a href="Styles.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.model</div>
    <h2 title="Interface Styles" class="title">Interface Styles</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/model/StylesTable.html"
                           title="class in org.apache.poi.xssf.model">StylesTable</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Styles</span></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFCellBorder.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFCellBorder</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#getBorderAt-int-">getBorderAt</a></span>(int&nbsp;idx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFCellFill.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFCellFill</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#getFillAt-int-">getFillAt</a></span>(int&nbsp;idx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFont</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#getFontAt-int-">getFontAt</a></span>(int&nbsp;idx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#getNumberFormatAt-short-">getNumberFormatAt</a></span>(short&nbsp;fmtId)</code>
                                    <div class="block">Get number format string given its id</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#getNumCellStyles--">getNumCellStyles</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#getNumDataFormats--">getNumDataFormats</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCellStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#getStyleAt-int-">getStyleAt</a></span>(int&nbsp;idx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#putBorder-org.apache.poi.xssf.usermodel.extensions.XSSFCellBorder-">putBorder</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFCellBorder.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFCellBorder</a>&nbsp;border)</code>
                                    <div class="block">Adds a border to the border style table if it isn't already in
                                        the style table
                                        Does nothing if border is already in borders style table
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#putFill-org.apache.poi.xssf.usermodel.extensions.XSSFCellFill-">putFill</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFCellFill.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFCellFill</a>&nbsp;fill)</code>
                                    <div class="block">Adds a fill to the fill style table if it isn't already in the
                                        style table
                                        Does nothing if fill is already in fill style table
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#putFont-org.apache.poi.xssf.usermodel.XSSFFont-">putFont</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;font)</code>
                                    <div class="block">Records the given font in the font table.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#putFont-org.apache.poi.xssf.usermodel.XSSFFont-boolean-">putFont</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;font,
                                    boolean&nbsp;forceRegistration)</code>
                                    <div class="block">Records the given font in the font table.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#putNumberFormat-short-java.lang.String-">putNumberFormat</a></span>(short&nbsp;index,
                                    java.lang.String&nbsp;fmt)</code>
                                    <div class="block">Add a number format with a specific ID into the numberFormats
                                        map.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#putNumberFormat-java.lang.String-">putNumberFormat</a></span>(java.lang.String&nbsp;fmt)</code>
                                    <div class="block">Puts <code>fmt</code> in the numberFormats map if the format is
                                        not
                                        already in the the number format style table.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#putStyle-org.apache.poi.xssf.usermodel.XSSFCellStyle-">putStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCellStyle</a>&nbsp;style)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#removeNumberFormat-short-">removeNumberFormat</a></span>(short&nbsp;index)</code>
                                    <div class="block">Remove a number format from the style table if it exists.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/Styles.html#removeNumberFormat-java.lang.String-">removeNumberFormat</a></span>(java.lang.String&nbsp;fmt)</code>
                                    <div class="block">Remove a number format from the style table if it exists
                                        All cell styles with this number format will be modified to use the default
                                        number format
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getNumberFormatAt-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberFormatAt</h4>
                                <pre>java.lang.String&nbsp;getNumberFormatAt(short&nbsp;fmtId)</pre>
                                <div class="block">Get number format string given its id</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fmtId</code> - number format id</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number format code</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putNumberFormat-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putNumberFormat</h4>
                                <pre>int&nbsp;putNumberFormat(java.lang.String&nbsp;fmt)</pre>
                                <div class="block">Puts <code>fmt</code> in the numberFormats map if the format is not
                                    already in the the number format style table.
                                    Does nothing if <code>fmt</code> is already in number format style table.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fmt</code> - the number format to add to number format style table</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of <code>fmt</code> in the number format style table</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalStateException</code> - if adding the number format to
                                        the styles table
                                        would exceed the max allowed.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putNumberFormat-short-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putNumberFormat</h4>
                                <pre>void&nbsp;putNumberFormat(short&nbsp;index,
                     java.lang.String&nbsp;fmt)</pre>
                                <div class="block">Add a number format with a specific ID into the numberFormats map.
                                    If a format with the same ID already exists, overwrite the format code
                                    with <code>fmt</code>
                                    This may be used to override built-in number formats.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the number format ID</dd>
                                    <dd><code>fmt</code> - the number format code</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeNumberFormat-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeNumberFormat</h4>
                                <pre>boolean&nbsp;removeNumberFormat(short&nbsp;index)</pre>
                                <div class="block">Remove a number format from the style table if it exists.
                                    All cell styles with this number format will be modified to use the default number
                                    format.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the number format id to remove</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the number format was removed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeNumberFormat-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeNumberFormat</h4>
                                <pre>boolean&nbsp;removeNumberFormat(java.lang.String&nbsp;fmt)</pre>
                                <div class="block">Remove a number format from the style table if it exists
                                    All cell styles with this number format will be modified to use the default number
                                    format
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fmt</code> - the number format to remove</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the number format was removed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontAt</h4>
                                <pre><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;getFontAt(int&nbsp;idx)</pre>
                            </li>
                        </ul>
                        <a name="putFont-org.apache.poi.xssf.usermodel.XSSFFont-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putFont</h4>
                                <pre>int&nbsp;putFont(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;font,
            boolean&nbsp;forceRegistration)</pre>
                                <div class="block">Records the given font in the font table.
                                    Will re-use an existing font index if this
                                    font matches another, EXCEPT if forced
                                    registration is requested.
                                    This allows people to create several fonts
                                    then customise them later.
                                    Note - End Users probably want to call
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html#registerTo-org.apache.poi.xssf.model.StylesTable-"><code>XSSFFont.registerTo(StylesTable)</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="putFont-org.apache.poi.xssf.usermodel.XSSFFont-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putFont</h4>
                                <pre>int&nbsp;putFont(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;font)</pre>
                                <div class="block">Records the given font in the font table.
                                    Will re-use an existing font index if this
                                    font matches another.
                                </div>
                            </li>
                        </ul>
                        <a name="getStyleAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStyleAt</h4>
                                <pre><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCellStyle</a>&nbsp;getStyleAt(int&nbsp;idx)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - style index</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>XSSFCellStyle or null if idx is out of bounds for xfs array</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putStyle-org.apache.poi.xssf.usermodel.XSSFCellStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putStyle</h4>
                                <pre>int&nbsp;putStyle(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCellStyle</a>&nbsp;style)</pre>
                            </li>
                        </ul>
                        <a name="getBorderAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderAt</h4>
                                <pre><a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFCellBorder.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFCellBorder</a>&nbsp;getBorderAt(int&nbsp;idx)</pre>
                            </li>
                        </ul>
                        <a name="putBorder-org.apache.poi.xssf.usermodel.extensions.XSSFCellBorder-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putBorder</h4>
                                <pre>int&nbsp;putBorder(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFCellBorder.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFCellBorder</a>&nbsp;border)</pre>
                                <div class="block">Adds a border to the border style table if it isn't already in the
                                    style table
                                    Does nothing if border is already in borders style table
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>border</code> - border to add</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of the added border</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFillAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillAt</h4>
                                <pre><a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFCellFill.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFCellFill</a>&nbsp;getFillAt(int&nbsp;idx)</pre>
                            </li>
                        </ul>
                        <a name="putFill-org.apache.poi.xssf.usermodel.extensions.XSSFCellFill-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putFill</h4>
                                <pre>int&nbsp;putFill(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFCellFill.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFCellFill</a>&nbsp;fill)</pre>
                                <div class="block">Adds a fill to the fill style table if it isn't already in the style
                                    table
                                    Does nothing if fill is already in fill style table
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fill</code> - fill to add</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of the added fill</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumCellStyles--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumCellStyles</h4>
                                <pre>int&nbsp;getNumCellStyles()</pre>
                            </li>
                        </ul>
                        <a name="getNumDataFormats--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getNumDataFormats</h4>
                                <pre>int&nbsp;getNumDataFormats()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Styles.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/model/SingleXmlCells.html"
               title="class in org.apache.poi.xssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/model/StylesTable.html"
               title="class in org.apache.poi.xssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/Styles.html" target="_top">Frames</a></li>
        <li><a href="Styles.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
